# Collection Interface Reference

Inheritance diagram for Collection:
[legend]

List of all members.

## Public Member Functions

| add (CollectionItem $item)
| addAll (array $items)
| clear ()
| contains (CollectionItem $item)
| containsAll (array $items)
| isEmpty ()
| size ()
| remove (CollectionItem $item)
| removeAll (array $items)
| retainAll (array $items)
| getList ()
| getByName ($name)
| has ($name)

## Detailed Description

Definition at line 12 of file Collection.class.php.

## Member Function Documentation

Collection::add | ( | CollectionItem $ | item | ) |

Implemented in AbstractCollection.

Collection::addAll | ( | array $ | items | ) |

Implemented in AbstractCollection.

Collection::clear | ( |  | ) |

Implemented in AbstractCollection.

Collection::contains | ( | CollectionItem $ | item | ) |

Implemented in AbstractCollection.

Collection::containsAll | ( | array $ | items | ) |

Implemented in AbstractCollection.

Collection::getByName | ( | $ | name | ) |

Implemented in AbstractCollection.

Collection::getList | ( |  | ) |

Implemented in AbstractCollection.

Collection::has | ( | $ | name | ) |

Implemented in AbstractCollection.

Collection::isEmpty | ( |  | ) |

Implemented in AbstractCollection.

Collection::remove | ( | CollectionItem $ | item | ) |

Implemented in AbstractCollection.

Collection::removeAll | ( | array $ | items | ) |

Implemented in AbstractCollection.

Collection::retainAll | ( | array $ | items | ) |

Implemented in AbstractCollection.

Collection::size | ( |  | ) |

Implemented in AbstractCollection.

The documentation for this interface was generated from the following file:

- main/Base/Collection.class.php